<app-navbar></app-navbar>

  <video [muted]="true" autoplay playsinline loop id="myVideo">
    <source src="/assets/images/bg1.mp4" type="video/mp4">
    Your browser does not support HTML5 video.
  </video>


<!--<h2>Click on one of the stories to host the game</h2>-->
<html>
  <!-- hello -->
 
<div class="clr-row" >

    <div class="clr-col-lg-4 clr-col-4" *ngFor="let s of stories; let i=index" >
      <div class="card">
        <div class="card-block">
          <h3 class="card-title" style="font-family:'Quicksand'; font-size: 16px; text-align: center;">{{ s.storyTitle }}</h3>
          <!--<p class="card-text">
            ...
          </p>-->
        </div>
        <div class="card-footer">
          <div class="center1">
          <button class="btn btn-outline" (click)="editStory(s)">Edit</button>
          <button class="btn btn-outline" (click)="confirmDelete(s)">Delete</button>
          <button class="dropdown-toggle btn btn-outline" (click)="showAllCodes(s, i)">Game Results<cds-icon shape="angle-double" style="transform: rotate(180deg);"></cds-icon></button>

          <div *ngIf="index == i" class="dropdown bottom-right {{openList}} ">
            <div class="dropdown-menu">
                <div *ngFor="let a of gameCodes">
                  <div  class="dropdown-item" >
                    <button class="btn" (click)="showResultsModal(a)">
                      {{a}}
                    </button>
                </div>
              </div>
            </div>
          </div>

        </div>

        <div class="center2">
          <button class="btn btn-primary" (click)="openDialog(s)">Host Game</button>
            <!--<button class="btn btn-outline" (click)="showPastGames(s)">Past Game host codes</button>-->
          </div>

        </div>
      </div>
    </div>

</div>

<clr-modal [(clrModalOpen)]="openHostModal" >
  <div class="modal-body">
    <div *ngIf="openHostModal">
      <app-hostgame [childMessage]="data"></app-hostgame>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline" (click)="openHostModal = false">Close</button>
  </div>
</clr-modal>


<clr-modal [(clrModalOpen)]="openResultModal" >
  <div class="modal-body">
    <div *ngIf="openResultModal">
      <app-results [gameCode]="gameIDtoResult" ></app-results>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline" (click)="openResultModal = false">Close</button>
  </div>
</clr-modal>


<div *ngIf="openStoryBuilder">
  <app-storybuilder [openIntro]="openIntro" [disabledStoryTitle]="disabledStoryTitle"></app-storybuilder>
</div>

</html>



<clr-modal [(clrModalOpen)]="openDeleteConfirmation" >
  <div class="modal-body">
    <div style="text-align: center; font-weight:bold; font-size: 18px;"*ngIf="openDeleteConfirmation">
      Are you sure you want to delete the story? 
      <br>
      <button (click)="deleteStory()" class="btn btn-outline">Yes</button>
      <button (click)="openDeleteConfirmation = false" class="btn btn-outline" >No</button>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline" (click)="openDeleteConfirmation = false">Close</button>
  </div>
</clr-modal>


<div *ngIf="errorModal">
  <div class="modal" >
         <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
         <div class="modal-content">
                  <cds-icon style="float:right; cursor:pointer;" shape="window-close" size="md" (click) = "errorModal = false"></cds-icon> 
                  <br>
                <h1  style="font-family: 'Quicksand'; font-size:18px;">{{errorMsg}} 
                <br>       
                Please contact <a href="mailto: otoroVN209@gmail.com">Otoro Adminstrator</a>.
                <br>
                <!-- <button type="button" class="btn btn-outline" (click)="errorModal = false">Close</button> -->
         </h1>
         </div>
         </div>
  </div>
  <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>


<div *ngIf="spinning">
  <div class="modal-backdrop" aria-hidden="true">
         <div class="loading">
                <clr-spinner></clr-spinner><h2>Loading...</h2>
         </div>
  </div>
</div>



<div *ngIf="deleteSuccess">
  <div class="modal">
         <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
         <div class="modal-content">
                <h1>Delete Success for {{storyTitleToBeDeleted}}!</h1>
         </div>
         </div>
  </div>
  <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>
